OpenTTD Source: src/misc/dbg_helpers.cpp File Reference

OpenTTD Source 15.0-RC2

Functions | Variables
dbg_helpers.cpp File Reference

Helpers for outputting debug information. More...

`#include "../stdafx.h"`
`#include "../rail_map.h"`
`#include "../core/enum_type.hpp"`
`#include "dbg_helpers.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
std::string | ValueStr (Trackdir td)
| Return name of given Trackdir.
std::string | ValueStr (TrackdirBits td_bits)
| Return composed name of given TrackdirBits.
std::string | ValueStr (DiagDirection dd)
| Return name of given DiagDirection.
std::string | ValueStr (SignalType t)
| Return name of given SignalType.
std::string | TileStr (TileIndex tile)
| Translate TileIndex into string.

## Variables
static const std::string_view | trackdir_names []
| Trackdir & TrackdirBits short names.
static const std::string_view | diagdir_names []
| DiagDirection short names.
static const std::string_view | signal_type_names []
| SignalType short names.

## Detailed Description

Helpers for outputting debug information.

Definition in file dbg_helpers.cpp.

## Function Documentation

## ◆ TileStr()

std::string TileStr | ( | TileIndex | tile | ) |

Translate TileIndex into string.

Definition at line 61 of file dbg_helpers.cpp.

References TileX(), and TileY().

Referenced by DumpTarget::WriteTile().

## ◆ ValueStr() [1/4]

std::string ValueStr | ( | DiagDirection | dd | ) |

Return name of given DiagDirection.

Definition at line 42 of file dbg_helpers.cpp.

References diagdir_names, INVALID_DIAGDIR, ItemAt(), and to_underlying().

## ◆ ValueStr() [2/4]

std::string ValueStr | ( | SignalType | t | ) |

Return name of given SignalType.

Definition at line 54 of file dbg_helpers.cpp.

References ItemAt(), signal_type_names, and to_underlying().

## ◆ ValueStr() [3/4]

std::string ValueStr | ( | Trackdir | td | ) |

Return name of given Trackdir.

Definition at line 24 of file dbg_helpers.cpp.

References INVALID_TRACKDIR, ItemAt(), to_underlying(), and trackdir_names.

Referenced by DumpTarget::WriteEnumT().

## ◆ ValueStr() [4/4]

std::string ValueStr | ( | TrackdirBits | td_bits | ) |

Return composed name of given TrackdirBits.

Definition at line 30 of file dbg_helpers.cpp.

References ComposeName(), INVALID_TRACKDIR_BIT, to_underlying(), and trackdir_names.

## Variable Documentation

## ◆ diagdir_names

const std::string_view diagdir_names[]
| static

Initial value:
= {
"NE", "SE", "SW", "NW",
}

DiagDirection short names.

Definition at line 37 of file dbg_helpers.cpp.

Referenced by ValueStr().

## ◆ signal_type_names

const std::string_view signal_type_names[]
| static

Initial value:
= {
"NORMAL", "ENTRY", "EXIT", "COMBO", "PBS", "NOENTRY",
}

SignalType short names.

Definition at line 49 of file dbg_helpers.cpp.

Referenced by ValueStr().

## ◆ trackdir_names

const std::string_view trackdir_names[]
| static

Initial value:
= {
"NE", "SE", "UE", "LE", "LS", "RS", "rne", "rse",
"SW", "NW", "UW", "LW", "LN", "RN", "rsw", "rnw",
}

Trackdir & TrackdirBits short names.

Definition at line 18 of file dbg_helpers.cpp.

Referenced by ValueStr(), and ValueStr().